Skip to main content
POST
/
api
/
decks
/
{deckId}
/
faqs
Create an FAQ
curl --request POST \
  --url https://app.demandiq.com/api/decks/{deckId}/faqs \
  --header 'Content-Type: application/json' \
  --data '
{
  "userQuestion": "How long does installation take?",
  "cannedAnswer": "A typical installation takes one to two business days.",
  "relatedSlideId": "<string>"
}
'
{
  "faq": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "deckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "userQuestion": "<string>",
    "cannedAnswer": "<string>",
    "relatedSlideId": "<string>",
    "audioUrl": "<string>",
    "wordTimings": [
      {
        "word": "<string>",
        "startTime": 123,
        "endTime": 123
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "warning": "<string>"
}

Path Parameters

deckId
string<uuid>
required

Deck ID

Body

application/json
userQuestion
string
required
Example:

"How long does installation take?"

cannedAnswer
string
required
Example:

"A typical installation takes one to two business days."

Response

201 - application/json

FAQ created

faq
object
warning
string

Set if audio generation failed